-- Deja OHFader

local DVMMBAlphaTimer

local DOHForderhall=CreateFrame("Frame", "orderhall", UIParent)
	DOHForderhall:RegisterEvent("PLAYER_LOGIN")
	DOHForderhall:RegisterEvent("PLAYER_ENTERING_WORLD")
	DOHForderhall:RegisterEvent("ADDON_LOADED")
	DOHForderhall:RegisterEvent("ZONE_CHANGED")
	DOHForderhall:RegisterEvent("ZONE_CHANGED_NEW_AREA")
	DOHForderhall:RegisterEvent("WORLD_MAP_UPDATE")
	DOHForderhall:RegisterEvent("ZONE_CHANGED_INDOORS")
	DOHForderhall:RegisterEvent("CURSOR_UPDATE")
	DOHForderhall:RegisterEvent("UPDATE_MOUSEOVER_UNIT")
	DOHForderhall:SetPoint("TOP", "UIParent", "TOP", 0, 0)
	DOHForderhall:SetSize(UIParent:GetWidth(), (UIParent:GetHeight() / 40))
	DOHForderhall:EnableMouse(true)

--local tDOHForderhall=DOHForderhall:CreateTexture(nil,"ARTWORK")
--	tDOHForderhall:SetAllPoints(DOHForderhall)
--	tDOHForderhall:SetColorTexture(0, 192, 255, 0.7)

DOHForderhall:SetScript("OnEnter", function(self)
	OrderHallCommandBar:SetAlpha(1)
end)

local function CheckMouseOver(self)
	if OrderHallCommandBar:IsMouseOver() then
		OrderHallCommandBar:SetAlpha(1)
	else
		UIFrameFadeOut(OrderHallCommandBar, 0.50, 1.0, 0)
		-- Syntax for refrence: UIFrameFadeIn(frame, timeToFade, startAlpha, endAlpha)
		-- Syntax for refrence: UIFrameFadeOut(frame, timeToFade, startAlpha, endAlpha)
	end
end

local function delayHideMMB(self)
	DVMMBAlphaTimer = C_Timer.NewTimer(0.20, CheckMouseOver)
end

DOHForderhall:SetScript("OnLeave", delayHideMMB)

OH_MAP_ID = {
	"Acherus: The Ebon Hold",  		--Death Knight
	"Mardum, the Shattered Abyss", 	--Demon Hunter
	"The Dreamgrove", 				--Druid
	"Trueshot Lodge", 				--Hunter
	"Hall of the Guardian", 		--Mage
	"The Wandering Isle",			--Monk
	"Eastern Plaguelands", 			--Paladin
	"Netherlight Temple", 			--Priest
	"Dalaran", 						--Rogue
	"The Maelstrom", 				--Shaman
	"Dreadscar Rift", 				--Warlock
	"Skyhold", 						--Warrior
}

DOHForderhall:SetScript("OnEvent", function(self, event, addon)
	if addon == "Blizzard_OrderHallUI" then
		OrderHallCommandBar:EnableMouse(false)
		UIFrameFadeOut(OrderHallCommandBar, 0.50, 1.0, 0)
	end

	mapID, isContinent = GetCurrentMapAreaID();
	mapName = GetMapNameByID(mapID);
	ZoneName = GetRealZoneText();
	subzone = GetSubZoneText();
	--print(mapName);
	--print(ZoneName);
	--print(subzone);

	local OH_IsTrue

	for k,v in pairs(OH_MAP_ID) do
		--print(v)
		if (v == mapName) or (v == ZoneName) or (v == subzone) then
			DOHForderhall:Show()
			--print("Show ME!", v)
			OH_IsTrue = true
		end
		if not OH_IsTrue == true then
			DOHForderhall:Hide()
			--print("Hide ME!")
		end
	end
end)